package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GetcanStoreVo extends BaseTransactionVo {
    //New Reference
    private String newref = NULLSTR;
    private String strinf = NULLSTR;
    private String autflg = NULLSTR;
    private String gitapll2blk = NULLSTR;
    private String gitapll1blk = NULLSTR;
    private String gitbenl1blk = NULLSTR;
    private String gitbenl2blk = NULLSTR;
    //与前端模型保持一致
    private SwiaddVo swiadd;


    private Gidgrp gidgrp;

    private Gidgrp oldgidgrp;


    //private Chkfld chksndmsg;



    private Setgid setgid;



    //private Mtabut mtabut;

    //private Rngmod rngmod;

    //private Cbsmod cbsmod;


    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
